      *   Last change:  PN   26 Mar 98   12:00 pm
      *
      *****************************************************************
      *                                                               *
      * This copy book is the io area for the DWCUDL04 routine.       *
      * This routine fetches parameters for the DWCUVD04 dimension    *
      * table.                                                        *
      * The copybook contains:                                        *
      *    - The function that the program is to perform :            *
      *      Load/Search/End                                          *
      *    - The 30 character key that is being used as the lowest    *
      *          level key for this dimension table                   *
      *    - The lowest level integer key that is to be returned      *
      *    - The $G aggregate keys that are to be returned            *
      *    - A return code that is set as follows                     *
      *      - 0 - the call was completed ok                          *
      *      - 4 - the call was completed though there was an         *
      *            error message issued                               *
      *      - 8 - the record could not be attributed and should      *
      *            be written to an error file. processing of the     *
      *            input file may continue.                           *
      *      - 16 - there was a severe error and processing           *
      *             should be stopped.                                *
      *                                                               *
      * CREATED - Peter Nolan                                         *
      * ALL RIGHTS RESERVED.                                          *
      *                                                               *
      *****************************************************************
      *
       01  WS-DWCUDL04-PARMS.
           05 FUNCTION-FIELD          PIC S9(9) COMP.
           05 CHAR-KEY-04             PIC X(30).
           05 INT-KEY-04              PIC S9(9) COMP.
           05 KEY-04-AG01             PIC S9(9) COMP.
           05 KEY-04-AG02             PIC S9(9) COMP.
           05 KEY-04-AG03             PIC S9(9) COMP.
           05 KEY-04-AG04             PIC S9(9) COMP.
           05 KEY-04-AG05             PIC S9(9) COMP.
           05 KEY-04-AG06             PIC S9(9) COMP.
           05 KEY-04-AG07             PIC S9(9) COMP.
           05 KEY-04-AG08             PIC S9(9) COMP.
           05 KEY-04-AG09             PIC S9(9) COMP.
           05 WS-RETURN-CODE          PIC S9(9) COMP.
      *
      *****************************************************************
      * End Declare
      *****************************************************************
