      *   Last change:  PN   26 Mar 98   12:02 pm
      *
      *********************************************************
      * DWCUF03 - Attributed Coverage Fact Record             *
      *                                                       *
      * This cobol copybook defines the attributed            *
      * record. This record includes the new generated        *
      * integer keys, the data to be warehoused, and the      *
      * aggregate keys that are defined as part of the        *
      * hierarchy of the aggregations for each dimension.     *
      *                                                       *
      * CREATED - Peter Nolan                                 *
      * ALL RIGHTS RESERVED.                                  *
      *********************************************************
      *
           05 IN-K.
              10 INT-KEY-01    PIC S9(9) COMP.
              10 INT-KEY-02    PIC S9(9) COMP.
              10 INT-KEY-03    PIC S9(9) COMP.
              10 INT-KEY-04    PIC S9(9) COMP.
           05 IN-F.
              10 INT-FLD-01    PIC S9(0009)       COMP.
           05 DO-F.
              10 DOL-FLD-01    PIC S9(0014)V9(04) COMP-3.
              10 DOL-FLD-02    PIC S9(0014)V9(04) COMP-3.
           05 CH-F.
              10 CHR-FLD-01    PIC  X(0006).
              10 CHR-FLD-02    PIC  X(0006).
              10 CHR-FLD-03    PIC  X(0006).
              10 CHR-FLD-04    PIC  X(0006).
              10 CHR-FLD-05    PIC  X(0030).
           05 DA-F.
              10 DTE-FLD-01    PIC  X(0010).
              10 DTE-FLD-02    PIC  X(0010).
              10 DTE-FLD-03    PIC  X(0010).
      * AGGREGATE KEYS
           05 AGG-KEYS-01.
              10 KEY-01-AG01   PIC S9(9) COMP.
              10 KEY-01-AG02   PIC S9(9) COMP.
              10 KEY-01-AG03   PIC S9(9) COMP.
              10 KEY-01-AG04   PIC S9(9) COMP.
              10 KEY-01-AG05   PIC S9(9) COMP.
              10 KEY-01-AG06   PIC S9(9) COMP.
              10 KEY-01-AG07   PIC S9(9) COMP.
              10 KEY-01-AG08   PIC S9(9) COMP.
              10 KEY-01-AG09   PIC S9(9) COMP.
           05 FILLER REDEFINES AGG-KEYS-01 OCCURS 09 TIMES.
              10 KEY-01-AG     PIC S9(9) COMP.
           05 AGG-KEYS-02.
              10 KEY-02-AG01   PIC S9(9) COMP.
              10 KEY-02-AG02   PIC S9(9) COMP.
              10 KEY-02-AG03   PIC S9(9) COMP.
              10 KEY-02-AG04   PIC S9(9) COMP.
              10 KEY-02-AG05   PIC S9(9) COMP.
              10 KEY-02-AG06   PIC S9(9) COMP.
              10 KEY-02-AG07   PIC S9(9) COMP.
              10 KEY-02-AG08   PIC S9(9) COMP.
              10 KEY-02-AG09   PIC S9(9) COMP.
           05 FILLER REDEFINES AGG-KEYS-02 OCCURS 09 TIMES.
              10 KEY-02-AG     PIC S9(9) COMP.
           05 AGG-KEYS-03.
              10 KEY-03-AG01   PIC S9(9) COMP.
              10 KEY-03-AG02   PIC S9(9) COMP.
              10 KEY-03-AG03   PIC S9(9) COMP.
              10 KEY-03-AG04   PIC S9(9) COMP.
              10 KEY-03-AG05   PIC S9(9) COMP.
              10 KEY-03-AG06   PIC S9(9) COMP.
              10 KEY-03-AG07   PIC S9(9) COMP.
              10 KEY-03-AG08   PIC S9(9) COMP.
              10 KEY-03-AG09   PIC S9(9) COMP.
           05 FILLER REDEFINES AGG-KEYS-03 OCCURS 09 TIMES.
              10 KEY-03-AG     PIC S9(9) COMP.
           05 AGG-KEYS-04.
              10 KEY-04-AG01   PIC S9(9) COMP.
              10 KEY-04-AG02   PIC S9(9) COMP.
              10 KEY-04-AG03   PIC S9(9) COMP.
              10 KEY-04-AG04   PIC S9(9) COMP.
              10 KEY-04-AG05   PIC S9(9) COMP.
              10 KEY-04-AG06   PIC S9(9) COMP.
              10 KEY-04-AG07   PIC S9(9) COMP.
              10 KEY-04-AG08   PIC S9(9) COMP.
              10 KEY-04-AG09   PIC S9(9) COMP.
           05 FILLER REDEFINES AGG-KEYS-04 OCCURS 09 TIMES.
              10 KEY-04-AG     PIC S9(9) COMP.
      *
      *****************************************************
      * END DECLARE
      *****************************************************
