      *   Last change:  PN   26 Mar 98   12:08 pm
      *
      *****************************************************************
      *                                                               *
      * This copy book defines global variables. These variables will *
      * be included into all cobol programs and thus make all the     *
      * following variables available to all programs.                *
      * Note that some fields are only used in a few places, however  *
      * where variables are usd they are defined and documented here. *
      *                                                               *
      * CREATED - Peter Nolan                                         *
      * ALL RIGHTS RESERVED.                                          *
      *                                                               *
      *****************************************************************
      *
       01  WS-GLOBAL-VARIABLES.
          05 WS-CURSOR-IND             PIC X VALUE 'N'.
             88 WS-CURSOR-OPENED             VALUE 'Y'.
          05 WS-ERROR-PROCESSING-IND   PIC X VALUE 'N'.
             88 WS-ERROR-PROCESSING          VALUE 'Y'.
          05 WS-DEBUG-IND              PIC S9(9) COMP.
          05 WS-0                      PIC S9(09) COMP
                                             VALUE +0.
          05 WS-1                      PIC S9(04) COMP
                                             VALUE +1.
          05 WS-100                    PIC S9(09) COMP
                                             VALUE +100.
      * modified for ORACLE Server
          05 WS-803                    PIC S9(09) COMP
                                            VALUE -2627.
          05 WS-9S                     PIC S9(09) COMP
                                             VALUE +999999999.
          05 WS-RECORDS-READ           PIC S9(9) VALUE ZERO.
          05 WS-RECORDS-WRITTEN        PIC S9(9) VALUE ZERO.
          05 WS-RECORDS-REJECTED       PIC S9(9) VALUE ZERO.
          05 WS-RECORDS-INSERTED       PIC S9(9) VALUE ZERO.
          05 WS-RECORDS-UPDATED        PIC S9(9) VALUE ZERO.
          05 MAX-DATE                  PIC X(10)
                                       VALUE '9999-12-31'.
      *
      *****************************************************************
      * Declare section for static variables regarding dimension table*
      * processing                                                    *
      *****************************************************************
      *
          05 WS-LOAD-TABLE             PIC S9(4) COMP VALUE +1.
          05 WS-SEARCH-TABLE           PIC S9(4) COMP VALUE +2.
          05 WS-END-TABLE              PIC S9(4) COMP VALUE +3.
          05 WS-LOAD-RULE              PIC S9(4) COMP VALUE +0.
          05 WS-READ-VIA-SQL           PIC S9(4) COMP VALUE +1.
          05 WS-READ-LAST-100          PIC S9(4) COMP VALUE +2.
          05 WS-READ-WHOLE-TABLE       PIC S9(4) COMP VALUE +3.
      *
      *****************************************************************
      * End Declare for Global variables                              *
      *****************************************************************
