      *   Last change:  PN   26 Mar 98   12:06 pm
      *
      *****************************************************************
      * This code manages global generic error handling. It assumes   *
      *   - the program is issuing an sql error code message.         *
      *   - that ws-program-name has been set                         *
      *   - that ws-message-severity has been set                     *
      *   - that ws-message-text has been set                         *
      *   - that gv-current-proc has been set                         *
      *   - that sqlcode is available                                 *
      *   - that the ws-error-in-processing flag should be set        *
      *                                                               *
      *   Thus for most program, when an sqlerror occurs then this    *
      *   code is all that is needed to execute.                      *
      *                                                               *
      * CREATED - Peter Nolan                                         *
      * ALL RIGHTS RESERVED.                                          *
      *                                                               *
      *****************************************************************
      *
                   MOVE WS-PROCEDURE-NAME
                      TO WS-MESSAGE-TEXT OF WS-MESSAGE-TABLE
      *
                   CALL 'DWDWMSGS' USING WS-MESSAGE-TABLE
                   MOVE 'Bad sqlcode:  '
                      TO WS-MESSAGE-BAD OF WS-MESSAGE-TABLE
      *
                   MOVE SQLCODE TO WS-PIC-SQLCODE,
                                   WS-MESSAGE-SQLCODE
      *
                   MOVE  SQLERRMC TO WS-MESSAGE-SQLERRMC
      *
                   MOVE 'Server Error: ' TO WS-MESSAGE-SERVER
      *
                   MOVE SQLERRD(1)       TO  WS-MESSAGE-SQLERRD1
      *
                   MOVE 'Severity   : '  TO WS-MESSAGE-SEVERE
      *
                   MOVE SQLERRD(2)       TO  WS-MESSAGE-SQLERRD2
      *
                   CALL 'DWDWMSGS' USING WS-MESSAGE-TABLE
      *
                   MOVE 'Y' TO WS-ERROR-PROCESSING-IND
      *
